import request from '@/utils/request'

// 查询技师入驻列表
export function listJoinMechanic(query) {
  return request({
    url: '/business/joinMechanic/list',
    method: 'get',
    params: query
  })
}

// 查询技师入驻详细
export function getJoinMechanic(id) {
  return request({
    url: '/business/joinMechanic/' + id,
    method: 'get'
  })
}

// 新增技师入驻
export function addJoinMechanic(data) {
  return request({
    url: '/business/joinMechanic',
    method: 'post',
    data: data
  })
}

// 修改技师入驻
export function updateJoinMechanic(data) {
  return request({
    url: '/business/joinMechanic',
    method: 'put',
    data: data
  })
}

// 删除技师入驻
export function delJoinMechanic(id) {
  return request({
    url: '/business/joinMechanic/' + id,
    method: 'delete'
  })
}

// 导出技师入驻
export function exportJoinMechanic(query) {
  return request({
    url: '/business/joinMechanic/export',
    method: 'get',
    params: query
  })
}